Subject: bug#53119: closed (Re: [bug#53119] [PATCH] gnu: reuse: Update to 0.14.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Jan 2022 09:43:02 +0000

Your bug report

#53119: [PATCH] gnu: reuse: Update to 0.14.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53119: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53119
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#53119] [PATCH] gnu: reuse: Update to 0.14.0.
From: Nicolas Goaziou <[email-masked]>
To: Felix Gruber <[email-masked]>
Cc: [email-masked], Maxime Devos <[email-masked]>
Date: Tue, 11 Jan 2022 10:42:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello

Felix Gruber <[email-masked]> writes:

> Hi Maxime,
>
> On 1/9/22 00:19, Maxime Devos wrote:
>>   * [x] it builds reproducibly on my machine (a x86_64) (using --
>> rounds=2)
>>     $ guix hash --serializer=nar
>> /gnu/store/ygjym1j7w9ds6siw11jy0c9dn8rkpmgf-reuse-0.14.0
>>     > 1lpx92qs5k625wdc15akbdfapsl5yb1gqbgcq19skc2jgq6yqhz6
>>     If you have x86_64, please check if you have the same result!
>
> I confirm that I get the same hash
> 1lpx92qs5k625wdc15akbdfapsl5yb1gqbgcq19skc2jgq6yqhz6
> when I run your guix hash command.

Applied. Thank you for the patch, and thanks to Maxime for the thorough
review.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH] gnu: reuse: Update to 0.14.0.
From: Felix Gruber <[email-masked]>
To: [email-masked]
Cc: Felix Gruber <[email-masked]>
Date: Fri, 7 Jan 2022 18:08:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/license.scm (reuse): Update to 0.14.0.
---
 gnu/packages/license.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/license.scm b/gnu/packages/license.scm
index 79ad3df4c8..cc6b03b412 100644
--- a/gnu/packages/license.scm
+++ b/gnu/packages/license.scm
@@ -3,6 +3,7 @@
 ;;; Copyright © 2018–2021 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright © 2020, 2021 Michael Rohleder <[email-masked]>
 ;;; Copyright © 2021 Tanguy Le Carrour <[email-masked]>
+;;; Copyright © 2022 Felix Gruber <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -167,13 +168,13 @@ belonging to various licenses.")
 (define-public reuse
   (package
     (name "reuse")
-    (version "0.13.0")
+    (version "0.14.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "reuse" version))
        (sha256
-        (base32 "00gqpw124lz6kf3gi6m2i1bnxp3k5n3id0bgqff0bj08jga7pj49"))))
+        (base32 "1q84qv982y67inqb67iy3r6z7339593w7zdaaxswjqxfrd1by7bp"))))
     (build-system python-build-system)
     (native-inputs
      (list python-pytest python-setuptools-scm))
-- 
2.30.2